pilot-foto(1)

NAME
pilot-foto - Palm 'Foto' Image Installer/Remover/Fetcher/Converter

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-foto [-p|--port <port>] [--version] [-?|--help] [-q|--quiet] [--usage] [-d|--delete] [--delete-all] [-i|--install] [-l|--list] [-f|--fetch] [-F|--fetch-all] [-c|--convert]

DESCRIPTION

This is a palm conduit to fetch, install, or remove, Foto files from a Palm. It can also convert *.jpg.pdb files that have already been fetched from the Palm to jpeg files.

Delete all, or named fotos from handheld.

Install one, or many jpeg images to handheld.

List all jpeg files and thumbnails on handheld.

Fetch all jpeg files, or certain ones by name.

Tries to detect if a file really is a jpeg and refuses to install it, if it is not.

pilot-foto allows you to do multiple operations in one sync. For instance, delete test.jpg and install test.jpg.

USAGE

pilot-foto -p <port> [options] file

OPTIONS

  pilot-foto options
                        -d, --delete

Delete a jpg file on the handheld
                        --delete-all

Delete ALL jpg files on the handheld
                        -i, --install

Install a jpg file
                        -l, --list

List all photos and thumbnails
                        -f, --fetch

Fetch files from the Palm
                        -F, --fetch-all

Fetch ALL jpg files from the Palm
                        -c, --convert

convert [file].jpg.pdb files to jpg

  Conduit Options
                        -p,
                        --port port

Use device file port to communicate with the Palm handheld. If this is not specified, pilot-foto will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-foto will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-foto and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-foto and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

EXAMPLES
            Examples:
            pilot-foto -p /dev/pilot -f pilot-foto -d MyImage.jpg
            pilot-foto -i MyImage.jpg
            pilot-foto -i *.jpg
            pilot-foto -f MyImage
            pilot-foto -c MyImage.jpg.pdb

PROBLEMS

Palm has not published their database format for the thumbnails. So, pilot-foto puts a generic penguin thumbnail for every image uploaded. Fotos can be accessed by a named list on the handheld as well as the thumbnails. This has been tried on a couple of handhelds. It is possible that a foreign palm or different model will not like it.

To get a thumbnail image you can copy the jpegs to the memory card. If you copy them back to the handheld they will have a new thumbnail that matches the jpeg.

AUTHOR

This manual page was converted to XML by Neil Williams <linux@codehelp.co.uk>

BUGS

If a jpeg is installed with the same name as one already on the palm you will have 2 thumbnails pointing to the same jpeg. The new jpeg will overwrite the old jpeg.

If the thumbnail fails to install then the jpeg should be removed. It is not.

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-link(7)